@import "../variables/variables";
@import "../mixins/mixins";

body{
  font-family: Montserrat;
}
.container{
  margin: 0 auto;
}
 .header{
  @include bg_image(url(../images/header-bg.webp),center,center,cover);
  @include flex_direct(column);
} 
.header-top{
  @include flex_direct(column);
}
.header__title{
  font-size: 24px;
  font-weight: $font_w_bold;
  text-transform: uppercase;
  color: $header_color;
  margin-left:17px;
}
.logo img{
  @include width(43px,41px);
  border: 1px solid transparent; 
  transition: 0.4s;
}
.hover{
  display: none;
}
.logo:hover .hover{
display: inline-block;
}
.logo:hover .main{
display: none;
}
.header__title:hover{
color: $color_white;
transition: 0.4s;
}
.header__title_hiden{
   display: none; 
}
.header__container{
  @include flex(row,space-between,center);
  background: $header_bg_color;
  padding: 0 20px;
}
.header__logo{
  display: flex;
  align-items: center;
  margin-top: 32px;
  margin-bottom: 30px;
}
/* @mixin font_color($color_,$font_size,$font_w) {
  color: $color_;
  font-size: $font_size;
  font-weight: $font_w_;
} */
.button {
  background: $header_color;
  color: $color_white;
  font-size: 15px;
  font-weight: $font_w_bold;
  border-radius: 40px;
  border: 1px solid transparent;
  transition: 0.4s;
}
.button_small{
  padding: 11px;
}
.button_tall{
  padding: 13px 29px;
  width: 100%;
}
.header__burger{
   display: block; 
   position:relative;
   @include width(45px,45px);
   span{
     @include position(28px,11px,30px,3.5px);
     background: $color_white;
     transition: 0.3s linear;
   }
}
.header__burger.header__burger_active{
  span{
    transform: rotate(-45deg);
  }
  &:before{
    @include width(0px,0px);
  }
  &:after{
    transform: rotate(45deg);
    top:28px;
  }
}
.header__burger:before, .header__burger:after{
content:" ";
background: $color_white;
@include position(37px,11px,30px,3px);
}
.header__burger:after{
  transition: 0.3s linear;
}
.header__burger:before{
  left:22px;
  top:19px;
  @include width(18px,3px);
}
.header__menu, .menu{
 position: absolute;
 background: #333333;
 right: 4%;
 top:115px; 
 width: 92%;
 display: none;
}
.header__menu_active{
   display:block;
}
.menu__list{
list-style: none;
width: 85%;
}
.menu__item{
border-bottom: 2px solid grey ;
}
.menu__link{
display: block;
font-size: 26px;
@include fonts($font_w_normal,26px,0px);
text-align: left;
color: $color_white;/////
padding: 29px 50px 21px 30px;
text-decoration: none;
transition: 0.7s;
position: relative;
&::before{
  content:"";
  @include position(8px,-40px,8px,53px);
  display: none;
  background-color: $header_color;
  transition: 0.7s;
}
&:hover{
  color: $header_color;
}
&:hover::before{
  display: block;
}
}
.header-body{
 img{
   width:100%;
   object-fit: cover; 
 }
 .app-container{
   @include flex(column,center,center);
   padding-top: 50px;
   color: $color_white;
   .app-container__title{
    font-size: 48px;
    font-weight: $font_w_bold;
  }
  .app-container__descrip{
    font-size: 18px;
    font-weight: $font_w_normal;
    text-align: center;
    line-height: 24px;
    margin-top: 18px;
  }
  .app-container__sub-title{
    @include font_color($color_white,$mobile_f_size);
    text-transform: uppercase;
    text-align: center;
    line-height: 14px;
    margin-top: 14px;
    margin-bottom: 416px;
		font-weight: $font_w_normal;
  }
 }
}
.header__button_margin{
  margin-bottom: -50px;
  margin-left: 5%;
  width:90%;
}
.header__button__information{
  text-align: center;
  font-size: $mobile_f_size;
  @include fonts($font_w_normal,14px,0px);
  text-align: center;
  color: #848E97;
  margin-top:13px;
}
@media (min-width:481px) and (max-width:992px){
  .container{
    margin: 0 auto;
    max-width: 992px;
  }
  .header__logo{
    margin-top: 22px;
    margin-bottom:51px;
  }
  .header__title_hiden{
    display: flex; 
 }
 .header__burger, .header__burger span{
  display: none;
 }
 .header__container{
  display: flex;
   justify-content: space-between; 
 }
 .header__menu,.menu{
   display: flex;
   margin:0;
   top:90px; 
   width: 86%; 
   margin-right: 4%;
   background: $header_bg_color;
 }
  .menu__item{
  border:0 ;
  flex-grow:1;
 } 
 .menu__list{
   @include flex_direct(row);
   width: 100%;
   margin: 0;
 }
 
 .menu__link{
  display: block;
  font-size: $tablet_f_size;
  @include fonts($font_w_normal,26px,0);
  text-align: center;
  color: $header_color;
  text-decoration: none;
  margin:0;
  padding:0;
  &:hover{
    color: $color_white;
  }
  &::before{
    @include width(0px,0px);
  }
  }
  .button_small {
    font-size: $tablet_f_size;
    padding: 11px 20px;
    margin-bottom:45px;
    transition: 0.4s;
    &:hover{
      background: $color_white;
      color:$header_color;
    }
  } 
  .button_tall{
    padding: 13px 29px;
    margin-left: 26%;
    width: 48%;
  } 
  .button:hover{
    background: $color_white;
    color:$header_color;
    border:1px solid $header_color;
  }
}
@media (min-width:993px) and (max-width:1200px){
   .container{
    margin: 0 auto;
    max-width: 1200px;
  }
  .header__logo{
    margin-top: 29px;
  }
  .header__title_hiden{
    display: flex; 
 }
 .header__burger, .header__burger span{
    display: none;
 }
 .header__container{
   display: flex;
   justify-content: space-between; 
   background: transparent;
 }
 .header__menu,.menu{
    display: flex;
    position: static; 
    margin:0;
    padding:0;
    top:90px; 
    width: 43%; 
    background: transparent; 
    margin-left:24%;
 }
 .menu__list{
   @include flex_direct(row);
   width: 100%;
   margin: 0;
   .menu__item{
    border:0 ;
    flex-grow:1.1;
   }
 }
 .menu__link{
  display: block;
  font-size: $tablet_f_size;
  @include fonts($font_w_normal,26px,0px);
  text-align: center;
  color: $header_color;
  text-decoration: none;
  margin:0;
  padding:0;
&:hover{
  color: $color_white;
}
&::before{
  @include width(0px,0px);
}
  }
  .button_tall{
    padding: 13px 29px;
    margin-left: 26%;
    width: 48%;
  } 
  .button:hover{
    background: $color_white;
    color: $header_color;
    border:1px solid $header_color;
  }
  .button_small, button{
    font-size: $tablet_f_size;
    padding: 11px 20px;
    &:hover{
      background: $color_white;
      color: $header_color;
    }
  }
  .app-container__descrip{
    margin-top: 19px;
  }
  .app-container__sub-title{
    margin-top: 19px;
  }
} 
@media (min-width:1201px){
  .header{
    width:1200px;
    margin: 0 auto;
  }
  .header__logo{
    margin-top:  29px;
  }
  .header__title_hiden{
    display: flex; 
 }
 .header__burger, .header__burger span{
  display: none;
 }
 .header__container{
   display: flex;
   justify-content: space-between; 
   background: transparent;
 }
 .header__menu,.menu{
   display: flex;
   position: static; 
   margin:0;
   padding:0;
   top:90px; 
   width: 43%; 
   background: transparent; 
   margin-left:24%;
 }
 .menu__list{
   @include flex_direct(row);
   width: 100%;
   margin: 0;
   .menu__item{
    border:0 ;
    flex-grow:1.1;
   }
 }
 .menu__link{
  display: block;
  font-size: $tablet_f_size;
  @include fonts($font_w_normal,26px,0px);
  text-align: center;
  color: $header_color;
  text-decoration: none;
  margin:0;
  padding:0;
  &:hover{
    color: $color_white;
  }
  &::before{
    @include width(0px,0px);
  }
  }
  .button_small{
    font-size: $tablet_f_size;
    padding: 11px 20px;
    transition: 0.4s;
  }
  .app-container__descrip{
    margin-top: 19px;
  }
  .app-container__sub-title{
    margin-top: 19px;
  }
  .button_tall{
    padding: 13px 29px;
    margin-left: 26%;
    width: 48%;
    transition: 0.4s;
  } 
  .button:hover{
    background: $color_white;
    color: $header_color;
    border:1px solid $header_color;
  }
  .button_small, button{
    font-size: $tablet_f_size;
    padding: 11px 20px;
    &:hover{
      background: $color_white;
      color: $header_color;
    }
  }
}
@mixin bg_image($url,$obj_position,$bg_position,$bg_size){
  background-image:$url;
  object-position:$obj_position;
  background-position:$bg_position;
  background-size:$bg_size ;
}
